Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17929

Description

Context: QGIS - Standalone - Installer

QGIS-Version              2.0.1-Dufour      QGIS-Codeversion    d94c044

Kompiliert gegen Qt       4.8.5             Laufendes Qt        4.8.5

Kompiliert mit GDAL/OGR   1.10.0            Läuft mit GDAL/OGR  1.10.1

Kompiliert mit GEOS       3.4.2-CAPI-1.8.2  Läuft mit GEOS      3.4.2-CAPI-1.8.2 r3921

PostgreSQL-Client-Version 9.2.4             SpatiaLite-Version  4.1.1

QWT-Version               5.2.3             PROJ.4-Version      480

QScintilla2-Version       2.7.2

Bug

On Windows 32 bit I am using Qwt5 and it works:

from PyQt4.Qwt5 import *

On Windows 64 bit it's not possible to import Qwt5 in any way even though the follwing files are in the installation:

.\\QGIS Dufour\\apps\\Python27\\sip\\Qwt5

.\\QGIS Dufour\\apps\\Python27\\Lib\\site-packages\\Qwt.pyd

.\\QGIS Dufour\\bin\\qwt5.dll

.\\QGIS Dufour\\apps\\Python27\\sip\\Qwt5\\*

Workaround

After moving the following files from 

.\\QGIS Dufour\\apps\\Python27\\Lib\\site-packages\\ to

.\\QGIS Dufour\\apps\\Python27\\Lib\\site-packages\\PyQt4\\Qwt5

it works:

init.py, _iqt.pyd, anynumpy.py, grace.py, ipy_user_conf.py, iqt.py, pythonrc.py, qplt.py, Qwt.pyd

History

#1 - 2014-01-11 08:14 AM - Jürgen Fischer

Are you using the 64bit or the 32bit installer on Windows 64bit?

#2 - 2014-01-11 10:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2014-01-11 10:39 AM - Jürgen Fischer

I suppose the 64bit installer.  It's fixed in OSGeo4W now.
#4 - 2014-01-11 12:42 PM - Holger Bischoping

Yes. QGIS-OSGeo4W-2.0.1-3-Setup-x86_64.exe.

Thanks a lot

#5 - 2014-01-11 12:50 PM - Jürgen Fischer

Holger Bischoping wrote:

Yes. QGIS-OSGeo4W-2.0.1-3-Setup-x86_64.exe.

Thanks a lot

Huh?  That's unchanged.

#6 - 2014-01-12 12:04 AM - Holger Bischoping

You have fixed the problem in OSGeo4W. So i assume the solution will also be available in the next standalone QGIS Installer.

#7 - 2014-02-11 12:22 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
